Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wmps
Class WMPService

    java.lang.Object
      org.deegree.ogcwebservices.wmps.WMPService

All Implemented Interfaces:
  OGCWebService

    public class WMPService

extends Object
implements OGCWebService

Handles saving the PrintMap request to the databank and generating the initial response to be sent to the user.

Version:
  2.0
Author:
  Anup Deshmukh

Constructor Summary
`WMPService(WMPSConfiguration configuration)` Creates a new WMPService object.

Method Summary
`Object` | `doService(OGCWebServiceRequest request)` the method performs the handling of the passed OGCWebServiceEvent directly and returns the result to the calling class/method
`OGCCapabilities` | `getCapabilities()` Return the OGCCapabilities.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WMPService

    public WMPService(WMPSConfiguration configuration)

  Creates a new WMPService object.

  Parameters:
    `configuration` -

Method Detail

### getCapabilities

    public OGCCapabilities getCapabilities()

  Return the OGCCapabilities.

  Specified by:
    `getCapabilities` in interface `OGCWebService`
  Returns:
    OGCCapabilities

### doService

    public Object doService(OGCWebServiceRequest request)
                     throws OGCWebServiceException

  the method performs the handling of the passed OGCWebServiceEvent directly and returns the result to the calling class/method

  Specified by:
    `doService` in interface `OGCWebService`
  Parameters:
    `request` - request to perform
  Returns:
    Object
  Throws:
    `OGCWebServiceException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org